package com.pwt.common.enums;

/**
 * @author linyun
 * @version V1.0
 * @Title: BatteryFactory
 * @Description: 电池厂家枚举
 * @date 2022/11/30
 **/
public enum BatteryFactory {
    FACTORY1(1, "CATL"),
    FACTORY2(2, "Li Shen"),
    FACTORY3(3, "MGL"),
    FACTORY4(4, "SAMSUN"),
    FACTORY5(5, "LG"),
    FACTORY6(6, "GUOXUANHIGH_TECH"),
    FACTORY7(7, "SUNWODA"),
    FACTORY8(8, "Others"),
    ;

    private int code;
    private String factory;

    public int getCode()
    {
        return code;
    }

    public String getFactory()
    {
        return factory;
    }

    BatteryFactory(int code, String factory)
    {
        this.code = code;
        this.factory = factory;
    }
}
